What are the supported versions for Sage 300?

What are the supported versions for Sage 300?

  

Resolution

In accordance with Sage Policy, Sage 300 supports the current version and 2 versions prior. Sage will continue to provide support for the following versions of Sage 300 until the release of the next product:

Sage 300 2019

Sage 300 2018

Sage 300 2017

 

Related resources

Sage 300 compatibility guides and system requirements

 

 

ID:75985Last Modified Date:6-18-2019